/* JwBoard   ν */
drop Procedure usp_DataQInput
go
Create Procedure usp_DataQInput 
					@MultiCode varchar(10),
					@title varchar(100),
					@content text,
					@wname varchar(20),
					@passwd varchar(20),
					@data_seq numeric(13) OUTPUT
As
Begin
	Declare @Maxseq numeric(13)

	Select @Maxseq = max(seq)
	From JwBoard
	Where MultiCode = @MultiCode
					
	Select @Maxseq = IsNull(@Maxseq,0) + 1

	Insert Into JwBoard
		Values (@MultiCode,@Maxseq,0,'Q',@title,0,getdate(),@content,@wname,@passwd)

	set @data_seq = @Maxseq
End

go
/* JwEditor Ե ̹ Ʈ */
drop Procedure usp_EditorInsImage
go
Create Procedure usp_EditorInsImage 
					@MultiCode varchar(10),
					@seq numeric(12),
					@reseq numeric(12),
					@fileUrl varchar(400)
As
Begin
	Declare @Maxseq numeric(13)

	Select @Maxseq = max(object_seq)
	From HtmlInObject
	Where MultiCode = @MultiCode
	and seq = @seq
	and reseq = @reseq
					
	Select @Maxseq = IsNull(@Maxseq,0) + 1

	Insert Into HtmlInObject
		Values (@MultiCode,@seq,@reseq,@Maxseq,@fileUrl)
End
go
